| eRPC Generator (erpcgen) Rev. 1.8.1 NXP Semiconductors

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
erpcgen::Annotation Class Reference

Annotation class. More...

`#include <Annotation.h>`

## Public Types
enum | program_lang_t { kAll, kC, kPython }

## Public Member Functions
| Annotation (const Token &token, Value *val, program_lang_t lang)
| Constructor. More...
| Annotation (const Token &token)
| Constructor. More...
| Annotation (const Annotation &a)
| Constructor. More...
std::string | getName () const
| This function returns annotation name. More...
bool | hasValue ()
| Checks to see if value instance member is null. More...
Value * | getValueObject ()
| This function returns annotation value. More...
program_lang_t | getLang () const
| This function returns programming language type for which is annotation intended. More...
std::string | toString ()
| This function returns toString representation. More...
token_loc_t & | getLocation ()
| This function returns location for symbol. More...

## Detailed Description

Annotation class.

## Constructor & Destructor Documentation

erpcgen::Annotation::Annotation | ( | const Token & | token,
|  | Value * | val,
|  | program_lang_t | lang
| ) |  |
| inline

Constructor.

This function initializes object attributes from given Token and Value.

Parameters

  [in] | token | Token contains annotation name and location in parsed file.
  [in] | val | Pointer to value.
  [in] | lang | Programming language for which is annotation intended.

erpcgen::Annotation::Annotation | ( | const Token & | token | ) |
| inline

Constructor.

This function initializes object attributes from given Token.

Parameters

  [in] | token | Token contains annotation name and location in parsed file.

erpcgen::Annotation::Annotation | ( | const Annotation & | a | ) |
| inline

Constructor.

This function initializes object attributes from given annotation.

Parameters

  [in] | a | Source annotation.

## Member Function Documentation

program_lang_t erpcgen::Annotation::getLang | ( |  | ) | const
| inline

This function returns programming language type for which is annotation intended.

Returns
  Programming language type.

token_loc_t& erpcgen::Annotation::getLocation | ( |  | ) |
| inline

This function returns location for symbol.

Returns
  Return location for symbol.

std::string erpcgen::Annotation::getName | ( |  | ) | const
| inline

This function returns annotation name.

Returns
  Annotation name.

Value * Annotation::getValueObject | ( |  | ) |

This function returns annotation value.

Returns
  Pointer to annotation value.

Exceptions

  semantic_error | Function will throw semantic error if hasValue() == false.

bool erpcgen::Annotation::hasValue | ( |  | ) |
| inline

Checks to see if value instance member is null.

Return values

  True | if m_value is not null

std::string erpcgen::Annotation::toString | ( |  | ) |
| inline

This function returns toString representation.

Returns
  Returns "name = value".

The documentation for this class was generated from the following files:

- Annotation.h
- Type.cpp